package dev.peerat.backend;

public class MailConfiguration {
	String username;
	String password;
	String smtpHost;
	String smtpPort;
	String fromAddress;
	
	public MailConfiguration(String initUsername, String initPassword, String initSmtpHost, String initSmtpPort, String initFromAddress) {
		username = initUsername;
		password = initPassword;
		smtpHost = initSmtpHost;
		smtpPort = initSmtpPort;
		fromAddress = initFromAddress.isBlank() ? "cyberbottle@peerat.dev" : initFromAddress;
	}

	public String getUsername() {
		return username;
	}

	public String getPassword() {
		return password;
	}

	public String getSmtpHost() {
		return smtpHost;
	}

	public String getSmtpPort() {
		return smtpPort;
	}
	
	public String getFromAddress() {
		return fromAddress;
	}
	
	
}
